using System;
using System.Windows;

internal sealed class Delegate530 : MulticastDelegate
{
	public extern void Invoke(object object_0, RoutedEventHandler routedEventHandler_0);

	public static void smethod_0(object object_0, RoutedEventHandler routedEventHandler_0, Delegate530 delegate530_1)
	{
		delegate530_1(object_0, routedEventHandler_0);
	}

	public extern Delegate530(object object_0, IntPtr intptr_0);

	static Delegate530()
	{
		Class10.smethod_13(typeof(Delegate530).TypeHandle);
	}

	internal static Delegate530 delegate530_0;
}
